public class GenderTest{
  enum Gender{FEMALE,MALE}//定义了一个Gender内部类
  
  public static void main(String[] args){
    //遍历Gender类的所有常量
    for( Gender g:Gender.values())
      System.out.println(g.ordinal()+" "+g.name());
  		
      Gender g=Gender.FEMALE;
      switch(g){
  	case FEMALE: 
  	  System.out.println("女性");
  	  break;
  	case MALE:
   	  System.out.println("男性");
  	  break;
        default:
  	  System.out.println("未知的性别");		
    }
  }     
}

/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
